# _StpuiCurveClass Struct Reference

`#include <curve.h>`

## Data Fields
GtkDrawingAreaClass | parent_class
void(* | curve_type_changed )(StpuiCurve *curve)
void(* | _gtk_reserved1 )(void)
void(* | _gtk_reserved2 )(void)
void(* | _gtk_reserved3 )(void)
void(* | _gtk_reserved4 )(void)

## Field Documentation

GtkDrawingAreaClass _StpuiCurveClass::parent_class

void(* _StpuiCurveClass::curve_type_changed)(StpuiCurve *curve)

void(* _StpuiCurveClass::_gtk_reserved1)(void)

void(* _StpuiCurveClass::_gtk_reserved2)(void)

void(* _StpuiCurveClass::_gtk_reserved3)(void)

void(* _StpuiCurveClass::_gtk_reserved4)(void)

The documentation for this struct was generated from the following file:

- include/gutenprintui2/curve.h